Update an NFT

Partial Update an NFT

Partial Update an NFT

patch

This endpoint allows you to perform a partial update on an NFT.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
transferablestringRequired

Value must be either 't' for transferable or 'n' for non-transferable

projectIdintegerRequired
nftIdintegerRequired

NFT ID

Body
descriptionstringOptional

Description stored in the metadata

Example: This is my first NFT
imagestringOptional

Image URL for your NFT

Example: https://example.com/image.png
animationUrlstringOptional

Animation URL for your NFT

Example: https://example.com/animation.mp4
Responses
chevron-right
200

Returns an Updated NFT

application/json
namestringRequired

Name stored as on-chain metadata

Example: NFT #1
symbolstringOptional

Symbol stored as on-chain metadata

Example: NFT
descriptionstringOptional

Description stored in the metadata

Example: This is my first NFT
imagestringRequired

Image URL for your NFT

Example: https://example.com/image.png
animationUrlstringOptional

Animation URL for your NFT

Example: https://example.com/animation.mp4
idnumberRequired

Unique ID for an NFT in a Project

projectIdnumberOptional

The ID of the Project the NFT is part of

transferablebooleanOptional

Whether or not the NFT can be transferred based on the Project its a part of

mintAddressstringRequired

Address for the NFT's or token's mint account

Example: EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$
ownerAddressstringOptional

Wallet addres for the NFT's owner

Example: EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$
claimerAddressstringOptional

Wallet address allowed to claim the NFT

Example: EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$
statusstringRequired
patch
/v2/projects/:transferable/:projectId/nfts/:nftId

Example

Update an NFT

Update an NFT

put

This endpoint allows you to perform an update on an NFT.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
transferablestringRequired

Value must be either 't' for transferable or 'n' for non-transferable

projectIdintegerRequired
nftIdintegerRequired

NFT ID

Body
descriptionstringOptional

Description stored in the metadata

Example: This is my first NFT
imagestringRequired

Image URL for your NFT

Example: https://example.com/image.png
animationUrlstringOptional

Animation URL for your NFT

Example: https://example.com/animation.mp4
Responses
chevron-right
200

Returns an Updated NFT

application/json
namestringRequired

Name stored as on-chain metadata

Example: NFT #1
symbolstringOptional

Symbol stored as on-chain metadata

Example: NFT
descriptionstringOptional

Description stored in the metadata

Example: This is my first NFT
imagestringRequired

Image URL for your NFT

Example: https://example.com/image.png
animationUrlstringOptional

Animation URL for your NFT

Example: https://example.com/animation.mp4
idnumberRequired

Unique ID for an NFT in a Project

projectIdnumberOptional

The ID of the Project the NFT is part of

transferablebooleanOptional

Whether or not the NFT can be transferred based on the Project its a part of

mintAddressstringRequired

Address for the NFT's or token's mint account

Example: EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$
ownerAddressstringOptional

Wallet addres for the NFT's owner

Example: EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$
claimerAddressstringOptional

Wallet address allowed to claim the NFT

Example: EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$
statusstringRequired
put
/v2/projects/:transferable/:projectId/nfts/:nftId

Example

Last updated